Skip to content
Proud to collaborate with Microsoft for Startups

docusign.notary.put-notary ​

Updates notary information for the current user.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
createddatestringNo—The creation date of the account in UTC timedate format.
enabledstringNo—The date the this object was created.
searchablestringNo—When true, this notary is searchable.
userinfojsonNo—User information.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
createddatestringNo—The creation date of the account in UTC timedate format.
enabledstringNo—The date the this object was created.
searchablestringNo—When true, this notary is searchable.
userinfojsonNo—User information.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/current_user/notary
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/current_user/notary
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.notary.put-notary",
  "initial_data": {
    "base_url": "value"
  }
}